/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon;

public class UnitConv 
{
    public static final int CLOCK_FREQ_HZ  = 15625;
    public static final double TEMPERATURE_C = 20.0;
    public static final double HUMIDITY_PERCENT = 50.0;
    public static final double DELAY_OFFSET_CM = 80.0;
    public static final double SPEED_OF_SOUND = 34449.0;
    
        /* Cricket receiver offset */
    public static final int BEACON_OFFSET_BODHI = 36;
    public static final int BEACON_OFFSET_CM = 80;

    public static double cricketDistToCM(double cricket)
    {
	if(CricketDaemon.listenerVersion == CricketDaemon.CRICKETV1)
	    // delay offset is subtracted from BeaconStatModule
	    return (double) cricket*34449.0/CLOCK_FREQ_HZ; // - DELAY_OFFSET_CM;
	else if (CricketDaemon.listenerVersion >= CricketDaemon.CRICKETV1_1)
	    return cricket; 
	else {
	    Util.assert_nonjava(false, "UnitConv::cricketDistToCM unknown listenerVersion:"+
			CricketDaemon.listenerVersion);
	    return 0;
	}
    }

    public static double cricketDistToIN(double cricket)
    {
	return cricketDistToCM(cricket)/2.54;
    }
}
